curl --request GET \
--url https://production.trackstarhq.com/wms/inventory/ledger \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/wms/inventory/ledger"
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>'
}
};
fetch('https://production.trackstarhq.com/wms/inventory/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "inv_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"entry_date": "2025-01-01T00:00:00Z",
"inventory_item_id": "inventory_item_id",
"sku": "sku",
"quantity": 1,
"raw_event_type": "receipt_into_system",
"event_type": "inbound_receipt",
"reason": "reason",
"object_id": "inbound_shipment_id",
"object_type": "inbound_shipment",
"warehouse_id": "source_warehouse_id",
"location_id": "source_location_id",
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-11-07T05:31:56Z",
"trackstar_updated_date": "2023-11-07T05:31:56Z"
}
],
"next_token": "next_token",
"total_count": 1
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Get Inventory Ledger
Returns the Inventory Ledger for the WMS connection associated with the provided access token.
Headers
Your organization-level Trackstar API key.
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
"<x-trackstar-access-token>"
Query Parameters
The page token to use to retrieve the next page of results. If this field is omitted, there are no subsequent pages.
"page_token"
The maximum number of items to return. The default is 1000.
1 <= x <= 10001000
Show child attributes
Show child attributes
Use this parameter to retrieve items filtered to a specific date range. For example, to get all items between 2023-03-10 and 2023-03-22, you would send created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z. See the filtering docs for more. The date format must always be YYYY-MM-DDTHH:MM:SSZ.
Note: it is much more efficient to use a combination of gte/lte than it is to use gt/lt.
Show child attributes
Show child attributes
Same syntax as created_date.
Show child attributes
Show child attributes
Same syntax as created_date.
Show child attributes
Show child attributes
Same syntax as created_date.
Show child attributes
Show child attributes
The ID of the customer associated with the resource
Show child attributes
Show child attributes
The event that occurred resulting in the inventory ledger entry.
Show child attributes
Show child attributes
The timestamp of the inventory ledger entry.
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
See pagination for more details.
"next_token"
The number of items returned.
1